pqxx::internal::unique< GUEST > Class Template Reference

Ensure proper opening/closing of GUEST objects related to a "host" object. More...

`#include <util.hxx>`

Inheritance diagram for pqxx::internal::unique< GUEST >:
[legend]

## Public Member Functions

| unique ()=default
| unique (const unique &)=delete
unique & | operator= (const unique &)=delete
GUEST * | get () const noexcept
void | register_guest (GUEST *G)
void | unregister_guest (GUEST *G)

## Detailed Description

### template<typename GUEST>
class pqxx::internal::unique< GUEST >

Ensure proper opening/closing of GUEST objects related to a "host" object.

Only a single GUEST may exist for a single host at any given time. GUEST must be derived from namedclass.

## Constructor & Destructor Documentation

## unique() [1/2]

template<typename GUEST >

pqxx::internal::unique< GUEST >::unique | ( |  | ) |

default

## unique() [2/2]

template<typename GUEST >

pqxx::internal::unique< GUEST >::unique | ( | const unique< GUEST > & |  | ) |

delete

## Member Function Documentation

## get()

template<typename GUEST >

GUEST* pqxx::internal::unique< GUEST >::get | ( |  | ) | const

noexcept

## operator=()

template<typename GUEST >

unique& pqxx::internal::unique< GUEST >::operator= | ( | const unique< GUEST > & |  | ) |

delete

## register_guest()

template<typename GUEST >

void pqxx::internal::unique< GUEST >::register_guest | ( | GUEST * | G | ) |

## unregister_guest()

template<typename GUEST >

void pqxx::internal::unique< GUEST >::unregister_guest | ( | GUEST * | G | ) |

The documentation for this class was generated from the following file:

- util.hxx